# Interface BimCoreApiOptions

Options for BimCoreApi constructor.

interface BimCoreApiOptions {
autoDisposeOnUnload?: boolean;
twinInputResolver?: TwinInputResolver;
wasmLoaderOptions?: MeshStoreLoaderOptions;
}

##### Index

### Properties

autoDisposeOnUnload?
twinInputResolver?
wasmLoaderOptions?

## Properties

### `Optional` autoDisposeOnUnload

autoDisposeOnUnload?: boolean

If `true` (default), automatically disposes resources when the page is unloaded. Set to `false` for SPAs with manual lifecycle management.

### `Optional` twinInputResolver

twinInputResolver?: TwinInputResolver

Resolver for loading twins via BimIfcLoader.add. Provided by BimApi.

### `Optional` wasmLoaderOptions

wasmLoaderOptions?: MeshStoreLoaderOptions